import 'package:doctor_app_flutter/core/model/Prescriptions/prescription_entity_model.dart';

class PrescriptionModel {
  List<PrescriptionEntityModel>? entityList;
  dynamic rowcount;
  dynamic statusMessage;

  PrescriptionModel({this.entityList, this.rowcount, this.statusMessage});

  PrescriptionModel.fromJson(Map<String, dynamic> json) {
    if (json['entityList'] != null) {
      entityList = <PrescriptionEntityModel>[];
      json['entityList'].forEach((v) {
        entityList!.add(new PrescriptionEntityModel.fromJson(v));
      });
    }
    rowcount = json['rowcount'];
    statusMessage = json['statusMessage'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.entityList != null) {
      data['entityList'] = this.entityList!.map((v) => v.toJson()).toList();
    }
    data['rowcount'] = this.rowcount;
    data['statusMessage'] = this.statusMessage;
    return data;
  }
}
